Subject: 11.88.6; Running "Check" command crashes aspell.exe
From: Дарио Ѓорѓевски<[email-masked]>
To: [email-masked]
Date: Sun, 07 Jun 2015 01:18:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

As per the title; running the "Spell" AUCTeX command causes aspell.exe
to crash. My aspell version is the following:

@(#) International Ispell Version 3.1.20 (but really Aspell 0.60.7-20131207)

and I am running a 64-bit Windows 8.1 with MSYS2 (all binaries are
64-bit). Running `ispell-buffer', `ispell-region' and the likes manually
works well, so I am assuming the error lies within AUCTeX. Flyspell
works fine also.

After aspell crashes, Emacs freezes, and I have no idea where exactly to
look for errors.

Thank you for your time.

Emacs  : GNU Emacs 25.0.50.1 (x86_64-w64-mingw32)
 of 2015-05-13 on CAB8
Package: 11.88.6

current state:
==============
(setq
 AUCTeX-date "2015-05-08"
 window-system 'w32
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex" "c:/Users/gjorg_000/.emacs.d/elpa/auctex-11.88.6/style"
                  "c:/Users/gjorg_000/.emacs.d/auctex/auto" "c:/Users/gjorg_000/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save nil
 TeX-parse-self nil
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %(extraopts) %`%S%(PDFout)%(mode)%' %t" TeX-run-TeX nil
                     (plain-tex-mode ams-tex-mode texinfo-mode) :help "Run plain TeX")
                    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
                    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil (texinfo-mode) :help "Run Makeinfo with Info output")
                    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t" TeX-run-compile nil (texinfo-mode) :help
                     "Run Makeinfo with HTML output")
                    ("AmSTeX" "%(PDF)amstex %(extraopts) %`%S%(PDFout)%(mode)%' %t" TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
                    ("ConTeXt" "texexec --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help
                     "Run ConTeXt once")
                    ("ConTeXt Full" "texexec %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help
                     "Run ConTeXt until completion")
                    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX")
                    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
                    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
                    ("Print" "%p" TeX-run-command t t :help "Print the file")
                    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible TeX-queue-command)
                    ("File" "%(o?)dvips %d -o %f " TeX-run-command t t :help "Generate PostScript file")
                    ("Index" "makeindex %s" TeX-run-command nil t :help "Create index file")
                    ("Xindy" "texindy %s" TeX-run-command nil t :help "Run xindy to create index file")
                    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help "Check LaTeX file for correctness")
                    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help "Check LaTeX file for common mistakes")
                    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help "Spell-check the document")
                    ("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated intermediate files")
                    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help "Delete generated intermediate and output files")
                    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )